[arch-commits] Commit in musicbrainz/trunk (PKGBUILD gcc4.3.patch)

Andrea Scarpino andrea at archlinux.org
Sat Apr 18 07:55:55 EDT 2009


    Date: Saturday, April 18, 2009 @ 07:55:55
  Author: andrea
Revision: 35939

upgpkg: musicbrainz 2.1.5-2

Added:
  musicbrainz/trunk/gcc4.3.patch
Modified:
  musicbrainz/trunk/PKGBUILD

--------------+
 PKGBUILD     |   17 ++++++++++-------
 gcc4.3.patch |   57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-18 11:42:35 UTC (rev 35938)
+++ PKGBUILD	2009-04-18 11:55:55 UTC (rev 35939)
@@ -6,23 +6,26 @@
 
 pkgname=musicbrainz
 pkgver=2.1.5
-pkgrel=1
-pkgdesc="MusicBrainz is the second generation incarnation of the CD Index"
+pkgrel=2
+pkgdesc="The second generation incarnation of the CD Index"
 arch=(i686 x86_64)
 license=('LGPL')
 depends=('gcc' 'expat>=2.0')
-makedepends=('python>=2.5')
+makedepends=('python')
 options=('!libtool')
-source=(ftp://ftp.musicbrainz.org/pub/musicbrainz/libmusicbrainz-${pkgver}.tar.gz)
+source=(ftp://ftp.musicbrainz.org/pub/$pkgname/libmusicbrainz-${pkgver}.tar.gz
+	'gcc4.3.patch')
 url="http://www.musicbrainz.org/index.html"
 
 build() {
-  cd ${startdir}/src/lib${pkgname}-${pkgver}
+  cd ${srcdir}/lib${pkgname}-${pkgver}
+
+  patch -p1 -i ${srcdir}/gcc4.3.patch
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install
 
   cd python
-  python setup.py install --root=${startdir}/pkg
+  python setup.py install --root=${pkgdir} || return 1
 }
 md5sums=('d5e19bb77edd6ea798ce206bd05ccc5f')

Added: gcc4.3.patch
===================================================================
--- gcc4.3.patch	                        (rev 0)
+++ gcc4.3.patch	2009-04-18 11:55:55 UTC (rev 35939)
@@ -0,0 +1,57 @@
+diff -Naur libmusicbrainz-2.1.4-orig/lib/c_wrapper.cpp libmusicbrainz-2.1.4/lib/c_wrapper.cpp
+--- libmusicbrainz-2.1.4-orig/lib/c_wrapper.cpp	2003-10-16 16:21:10.000000000 -0600
++++ libmusicbrainz-2.1.4/lib/c_wrapper.cpp	2007-12-16 09:45:21.000000000 -0600
+@@ -24,6 +24,7 @@
+ #include "musicbrainz.h"
+ #include "trm.h"
+ #include "mb_c.h"
++#include <cstring>
+ 
+ extern "C"
+ {
+diff -Naur libmusicbrainz-2.1.4-orig/lib/comhttpsocket.cpp libmusicbrainz-2.1.4/lib/comhttpsocket.cpp
+--- libmusicbrainz-2.1.4-orig/lib/comhttpsocket.cpp	2006-05-11 12:46:54.000000000 -0600
++++ libmusicbrainz-2.1.4/lib/comhttpsocket.cpp	2007-12-16 09:46:28.000000000 -0600
+@@ -20,6 +20,7 @@
+ #endif
+ #include <stdlib.h>
+ #include <assert.h>
++#include <cstring>
+ 
+ const char* g_strCOMVer = "libmusicbrainz/"VERSION;
+ 
+diff -Naur libmusicbrainz-2.1.4-orig/lib/comsocket.cpp libmusicbrainz-2.1.4/lib/comsocket.cpp
+--- libmusicbrainz-2.1.4-orig/lib/comsocket.cpp	2006-05-11 12:46:54.000000000 -0600
++++ libmusicbrainz-2.1.4/lib/comsocket.cpp	2007-12-16 09:46:08.000000000 -0600
+@@ -37,6 +37,7 @@
+ #include <netinet/tcp.h>
+ #include <errno.h>
+ #include <stdio.h>
++#include <cstring>
+ #include <sys/time.h>
+ #include <sys/types.h>
+ #include <unistd.h>
+diff -Naur libmusicbrainz-2.1.4-orig/lib/http.cpp libmusicbrainz-2.1.4/lib/http.cpp
+--- libmusicbrainz-2.1.4-orig/lib/http.cpp	2007-12-16 09:52:48.000000000 -0600
++++ libmusicbrainz-2.1.4/lib/http.cpp	2007-12-16 09:52:36.000000000 -0600
+@@ -31,6 +31,8 @@
+ #endif
+ #include <fcntl.h>    
+ #include <errno.h>    
++#include <cstring>
++#include <cstdlib>
+ 
+ #ifdef WIN32
+ #include <winsock.h>
+diff -Naur libmusicbrainz-2.1.4-orig/lib/sigclient.cpp libmusicbrainz-2.1.4/lib/sigclient.cpp
+--- libmusicbrainz-2.1.4-orig/lib/sigclient.cpp	2006-05-11 12:46:54.000000000 -0600
++++ libmusicbrainz-2.1.4/lib/sigclient.cpp	2007-12-16 09:54:48.000000000 -0600
+@@ -33,6 +33,8 @@
+ #pragma warning(disable:4786)
+ #endif
+ 
++#include <cstring>
++
+ #include "sigclient.h"
+ #include "comhttpsocket.h"
+ 



More information about the arch-commits mailing list